Bug 268014 - Detailed Memory Information fails with QtWebKit from webkit trunk
Summary: Detailed Memory Information fails with QtWebKit from webkit trunk
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 23:49 UTC by Christoph Feck
Modified: 2011-03-28 23:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2011-03-08 23:49:09 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When installing latest webkit, the memory summary page only displays the static text. Instead of the computed memory information, it shows the error:

"Sorry, there was an error in the script. The details may not be complete or correct."

Hovering over the underlined word "error", it displays a tooltip with the following text:

"Reference Error: Strict mode forbids implicit creation of global property 'lineMatch"


Reproducible: Always
Comment 1 John Tapsell 2011-03-11 11:13:56 UTC
Thanks very much.  This should fix it: http://commits.kde.org/kde-workspace/30255ae42a7b498a1b8eb20da2310c553e5de964
Comment 2 Christoph Feck 2011-03-11 13:15:27 UTC
Thanks John!

I had to insert "var headingMatch;" below your change to resolve the final error. Please close once you committed that change.
Comment 3 John Tapsell 2011-03-11 15:18:10 UTC
Thanks - does this fix it? http://commits.kde.org/kde-workspace/72936e81804265df7afd56da0b5be091908b4fa9
Comment 4 Christoph Feck 2011-03-11 17:32:07 UTC
Yep, exactly.
Comment 5 John Tapsell 2011-03-11 17:37:39 UTC
Excellent.
Comment 6 John Tapsell 2011-03-28 23:38:20 UTC
Git commit 743898b6cbf2b010441ea94fa314b61e3aaa2a1e by John Tapsell.
Committed on 11/03/2011 at 15:08.
Pushed by johnflux into branch 'KDE/4.6'.

Explicitly declare another variable

BUG:268014

M  +1    -0    libs/ksysguard/scripts/smaps/main.js     

http://commits.kde.org/kde-workspace/743898b6cbf2b010441ea94fa314b61e3aaa2a1e
Comment 7 John Tapsell 2011-03-28 23:38:20 UTC
Git commit 9a944e834870fed7d870dc07b73a62da0eda5d6b by John Tapsell.
Committed on 11/03/2011 at 11:12.
Pushed by johnflux into branch 'KDE/4.6'.

Explicitly declare variable, to fix with newest QWebKit

BUG:268014

M  +1    -1    libs/ksysguard/scripts/smaps/main.js     

http://commits.kde.org/kde-workspace/9a944e834870fed7d870dc07b73a62da0eda5d6b